using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace CustomEventsAndDelegates
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public void myMonitor_StatusChanged(object sender, StatusChangedEventArgs e)
        {
            MessageBox.Show("We got a call from the Monitor class:\r\n" + e.EventMessage, "Message From Server", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            // Parse the IP address from the textbox into an IPAddress object
            IPAddress ipAddr = IPAddress.Parse(txtIp.Text);
            // Create a new instance of the Monitor class and pass the IP address to the constructor
            Monitor myMonitor = new Monitor(ipAddr);
            // Bind the event to an event handler
            myMonitor.StatusChangedEvent += new StatusChangedHandler(myMonitor_StatusChanged);
            // Call the method that starts monitoring for connections
            myMonitor.StartMonitoring();
            // Let the user know
            lblStatus.Text = "Monitoring for connections...";
        }
    }
}